%define _disable_ld_as_needed 1
%define pypi_name cffi
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	Foreign Function Interface for Python calling C code
Name:		python-%{pypi_name}
Version:	1.3.1
Release:	2
License:	MIT
Group:		Development/Python
Url:		http://cffi.readthedocs.org/
Source0:	https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python-cparser
BuildRequires:	python-cython
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
BuildRequires:	python3-cparser
BuildRequires:	python3-cython
BuildRequires:	python3-setuptools

%description
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python.
The interface is based on LuaJIT’s FFI.

%files
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitearch}/*.so

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for CFFI
Group:		Documentation
BuildArch:	noarch

%description doc
Documentation for CFFI, the Foreign Function Interface for Python.

%files doc
%doc doc/build/html

#----------------------------------------------------------------------------

%package -n python3-%{pypi_name}
Summary:	Foreign Function Interface for Python 3 calling C code
Group:		Development/Python

%description -n python3-%{pypi_name}
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python.
The interface is based on LuaJIT’s FFI.

%files -n python3-%{pypi_name}
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/*.so

#----------------------------------------------------------------------------

%package -n python3-%{pypi_name}-doc
Summary:	Documentation for CFFI
Group:		Documentation
BuildArch:	noarch

%description -n python3-%{pypi_name}-doc
Documentation for CFFI, the Foreign Function Interface for Python 3.

%files -n python3-%{pypi_name}-doc
%doc doc/build/html

#----------------------------------------------------------------------------

%prep
%setup -qn %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}

%build
pushd %{py3dir}
CFLAGS="%{optflags}" %__python3 setup.py build_ext --libraries="dl"
CFLAGS="%{optflags}" %__python3 setup.py build
popd

CFLAGS="%{optflags}" %__python setup.py build_ext --libraries="dl"
CFLAGS="%{optflags}" %__python setup.py build

pushd doc
make html
rm build/html/.buildinfo
popd

%install
pushd %{py3dir}
%__python3 setup.py install --skip-build --root %{buildroot}
popd

%__python setup.py install --skip-build --root %{buildroot}


%changelog

* Mon Dec 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.1-2
- (7b15e07) Build both python2 and python3 modules


